Bug 891665

Summary: [abrt]: kernel BUG at fs/nfs/idmap.c:513!
Product: [Fedora] Fedora Reporter: Emmett Culley <lst_manage>
Component: kernelAssignee: nfs-maint
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: gansalmon, itamar, jlayton, jonathan, kernel-maint, madhu.chinakonda, rnovacek
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:9902630334d902c53fa0e72e9e29104a44252b7f
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-30 09:09:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Emmett Culley 2013-01-03 10:20:34 EST
Description of problem:
After adding nsf4 export strings to /etc/exports for the first time (nfs hasn't run on this machine since upgrading from Fedora 16), then running service nfs start, the system crashed.  Don't know if is was because I used service instead of syscemctl.

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.10-2.fc17.x86_64 root=/dev/mapper/ws1-root1 ro rd.dm=0 KEYTABLE=us rd.md.uuid=deb156f4:8aa83e33:b7a035a5:013af600 SYSFONT=True rd.md.uuid=6a071f64:5ff8ee4c:006a908e:2d3c2772 rd.luks=0 rd.lvm.lv=ws1/root1 LANG=en_US.UTF-8 rhgb quiet
kernel:         3.6.10-2.fc17.x86_64

backtrace:
:kernel BUG at fs/nfs/idmap.c:513!
:invalid opcode: 0000 [#1] SMP 
:Modules linked in: ip6table_filter ip6_tables ebtable_nat ebtables nfsv3 nfs_acl nfsv4 auth_rpcgss nfs dns_resolver fscache ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle lockd sunrpc bridge stp llc uvcvideo usblp snd_hda_codec_realtek videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_usb_audio snd_usbmidi_lib snd_rawmidi snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device tg3 snd_pcm snd_page_alloc snd_timer snd soundcore edac_core edac_mce_amd k8temp nv_tco i2c_nforce2 vhost_net tun macvtap macvlan kvm_amd kvm raid1 firewire_ohci firewire_core ata_generic sata_sil24 crc_itu_t pata_acpi sata_nv usb_storage nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core
:CPU 1 
:Pid: 14008, comm: mount Not tainted 3.6.10-2.fc17.x86_64 #1 ASUSTek Computer INC. KFN5-D SLI/KFN5-D SLI
:RIP: 0010:[<ffffffffa052c3e2>]  [<ffffffffa052c3e2>] rpc_pipefs_event+0x282/0x290 [nfsv4]
:RSP: 0018:ffff88013afebc08  EFLAGS: 00010246
:RAX: ffff8802281ce400 RBX: ffff880227e7da38 RCX: ffff880216e87800
:RDX: 000000000000003c RSI: ffff880227e7da38 RDI: 0000000000000000
:RBP: ffff88013afebc58 R08: ffff88013f5ba038 R09: 0000000000000000
:R10: ffff88012b807e08 R11: ffffffffffffffdc R12: 0000000000000000
:R13: ffff880227e7d9c0 R14: ffff880227e7d9f8 R15: ffff880227ab5400
:FS:  00007fb3a31f9840(0000) GS:ffff88012bc80000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 00007fb3a2de63b0 CR3: 0000000004070000 CR4: 00000000000007e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process mount (pid: 14008, threadinfo ffff88013afea000, task ffff88013adf1710)
:Stack:
: ffff88013afebc58 ffffffffa04119db ffff880216e87800 0000000000000000
: 0000000000000000 00000000fffffffe 0000000000000000 0000000000000000
: ffff880216e87800 0000000000000000 ffff88013afebc98 ffffffff81622ebd
:Call Trace:
: [<ffffffffa04119db>] ? rpc_pipefs_event+0x6b/0x2a0 [sunrpc]
: [<ffffffff81622ebd>] notifier_call_chain+0x4d/0x70
: [<ffffffff81086538>] __blocking_notifier_call_chain+0x58/0x80
: [<ffffffffa042b970>] ? rpc_cachedir_populate+0x20/0x20 [sunrpc]
: [<ffffffff81086576>] blocking_notifier_call_chain+0x16/0x20
: [<ffffffffa042ba4f>] rpc_fill_super+0xdf/0x190 [sunrpc]
: [<ffffffffa042b970>] ? rpc_cachedir_populate+0x20/0x20 [sunrpc]
: [<ffffffff81193072>] mount_ns+0x92/0xd0
: [<ffffffffa042a099>] rpc_mount+0x29/0x30 [sunrpc]
: [<ffffffff81193c83>] mount_fs+0x43/0x1b0
: [<ffffffff8114e1f0>] ? __alloc_percpu+0x10/0x20
: [<ffffffff811ad18f>] vfs_kern_mount+0x6f/0x100
: [<ffffffff811adc04>] do_kern_mount+0x54/0x110
: [<ffffffff811af765>] do_mount+0x315/0x8e0
: [<ffffffff811486cb>] ? memdup_user+0x4b/0x90
: [<ffffffff8114876b>] ? strndup_user+0x5b/0x80
: [<ffffffff811afdbd>] sys_mount+0x8d/0xe0
: [<ffffffff816270e9>] system_call_fastpath+0x16/0x1b
:Code: 48 c7 c7 20 a1 53 a0 31 c0 e8 05 8c 0e e1 eb cb 4c 89 ff 89 45 b8 e8 de f8 f9 ff 8b 45 b8 85 c0 0f 85 fa fe ff ff e9 b4 fd ff ff <0f> 0b 0f 0b 0f 0b 0f 1f 84 00 00 00 00 00 55 48 89 e5 48 83 ec 
:RIP  [<ffffffffa052c3e2>] rpc_pipefs_event+0x282/0x290 [nfsv4]
: RSP <ffff88013afebc08>
Comment 1 Josh Boyer 2013-01-03 11:02:45 EST
*** Bug 891668 has been marked as a duplicate of this bug. ***
Comment 2 Jeff Layton 2013-01-03 11:48:12 EST
Looks like we probably need this patch:

commit 0e24d849c4ea777c59955b241fd3af14a1b84af5
Author: Trond Myklebust <Trond.Myklebust@netapp.com>
Date:   Fri Sep 28 12:03:09 2012 -0400

    NFSv4: Remove BUG_ON() and ACCESS_ONCE() calls in the idmapper
    
...but I'm not certain it'll fix this completely.
Comment 3 Josh Boyer 2013-01-04 07:32:13 EST
*** Bug 891850 has been marked as a duplicate of this bug. ***
Comment 4 Emmett Culley 2013-01-25 11:54:21 EST
Attempted to start nfs-server via systemctl.  However one of the defined exports pointed to a non existent directory. 

When I created the named directory and retried I got the following error:

"A dependency job failed. See system journal for details."


Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Fedora End Of Life 2013-07-03 21:19:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Jeff Layton 2013-07-30 09:09:37 EDT
I'm pretty sure this is now fixed in current F17 kernels. I'll go ahead and close this with a resolution of CURRENTRELEASE. Please reopen if it isn't.